ru.bitel.bgbilling.modules.payonline.server.bean

## Class RebillManager

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<Rebill>
    - - ru.bitel.bgbilling.modules.payonline.server.bean.RebillManager

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class RebillManager
      extends ru.bitel.common.dao.AbstractDao<Rebill>

  Менеджер для работы с автоплатежами.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RebillManager(java.sql.Connection con, int moduleId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete(int id)` Удаляет автоплатеж по коду.
    `protected Rebill` | `getFromRS(java.sql.ResultSet rs)`
    `java.util.List<Rebill>` | `getList(int day, int periodicity)` Возвращает список автоплатежей на указанный день и периодичность.
    `Rebill` | `getTransactionByCid(int contractId)` Возвращает автоплатеж по коду договора.
    `Rebill` | `getTransactionById(int id)` Возвращает автоплатеж по его коду.
    `protected void` | `updateImpl(Rebill rebill)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RebillManager

          public RebillManager(java.sql.Connection con,
                               int moduleId)

  - ### Method Detail

    - #### getFromRS

          protected Rebill getFromRS(java.sql.ResultSet rs)
                              throws java.sql.SQLException,
                                     ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<Rebill>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(Rebill rebill)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<Rebill>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### getList

          public java.util.List<Rebill> getList(int day,
                                                int periodicity)

      Возвращает список автоплатежей на указанный день и периодичность.
      Parameters:
        `day` - - день недели или месяца, зависит от периодичности
        `periodicity` - - периодичность Использовать: Rebill.WEEK_PERIODICITY или Rebill.MONTH_PERIODICITY
      Returns:
        list - список автоплатежей

    - #### getTransactionById

          public Rebill getTransactionById(int id)

      Возвращает автоплатеж по его коду.
      Parameters:
        `id` - - код автосписания
      Returns:
        rebill - автосписание

    - #### getTransactionByCid

          public Rebill getTransactionByCid(int contractId)

      Возвращает автоплатеж по коду договора.
      Parameters:
        `contractId` - - код договора
      Returns:
        rebill - автосписание

    - #### delete

          public void delete(int id)

      Удаляет автоплатеж по коду.
      Parameters:
        `id` - - код автоплатежа